<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateTree Method (IEdmBatchGet)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchGet Interface : CreateTree Method (IEdmBatchGet)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

lEdmGetCmdFlags
  Combination of EdmGetCmdFlags bits; specifies options for retrieving files from the vault

Computes the file reference tree with the files added to the batch using IEdmBatchGet::AddSelection or IEdmBatchGet::AddSelectionEx.

# Syntax

Visual Basic |
--- | ---

    Sub CreateTree( _
       ByVal lParentWnd As System.Integer, _
       ByVal lEdmGetCmdFlags As System.Integer _
    )

C# |
--- | ---

    void CreateTree(
       System.int lParentWnd,
       System.int lEdmGetCmdFlags
    )

C++/CLI |
--- | ---

    void CreateTree(
    &   System.int lParentWnd,
    &   System.int lEdmGetCmdFlags
    )

#### Parameters

lParentWnd
  Parent window handle
lEdmGetCmdFlags
  Combination of EdmGetCmdFlags bits; specifies options for retrieving files from the vault

# Example

See the IEdmBatchGet examples.

# Remarks

After calling this method, call IEdmBatchGet::ShowDlg and IEdmBatchGet::GetFiles.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchGet Interface
IEdmBatchGet Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional